## org.apache.lucene.xmlparser
Class CorePlusExtensionsParser

    java.lang.Object
      org.apache.lucene.xmlparser.CoreParser
          org.apache.lucene.xmlparser.CorePlusExtensionsParser

All Implemented Interfaces:
  QueryBuilder

    public class CorePlusExtensionsParser

extends CoreParser

Field Summary

Fields inherited from class org.apache.lucene.xmlparser.CoreParser
`analyzer, filterFactory, maxNumCachedFilters, parser, queryFactory`

Constructor Summary
`CorePlusExtensionsParser(Analyzer analyzer, QueryParser parser)` Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronized on this parser
`CorePlusExtensionsParser(java.lang.String defaultField, Analyzer analyzer)` Constructs an XML parser that creates a QueryParser for each UserQuery request.

Method Summary

Methods inherited from class org.apache.lucene.xmlparser.CoreParser
`addFilterBuilder, addQueryBuilder, getQuery, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CorePlusExtensionsParser

    public CorePlusExtensionsParser(Analyzer analyzer,
                                    QueryParser parser)

  Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronized on this parser

  Parameters:
    `analyzer` -
    `parser` - A QueryParser which will be synchronized on during parse calls.

### CorePlusExtensionsParser

    public CorePlusExtensionsParser(java.lang.String defaultField,
                                    Analyzer analyzer)

  Constructs an XML parser that creates a QueryParser for each UserQuery request.

  Parameters:
    `defaultField` - The default field name used by QueryParsers constructed for UserQuery tags
    `analyzer` -

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.